#!/bin/bash

################################################
#
#  This script runs the Rosetta Frgament
#  tool to obtain the fragemnt files, which
#	 are required to run structure prediction
#  with Rosetta.

#  Required:
#  sequence file in fasta format

FRAG_SCRIPT_DIR=`grep FRAG_SCRIPT setup_rosetta.sh | cut -d\" -f2`

name=$1

if [ $# -eq 0 ]; then
	read -p "PDB ID: " name
fi

mkdir fragment_files
cd fragment_files

ln -s ../$name.fasta .
$FRAG_SCRIPT_DIR/make_fragments.pl -id $name"_" $name.fasta

cd ../
exit 0


